Name:                evo-inflector
Version:             1.3
Release:             2
Summary:             Implements English pluralization algorithm
License:             Apache-2.0
URL:                 https://github.com/atteo/evo-inflector
Source0:             https://github.com/atteo/evo-inflector/archive/%{version}.tar.gz
Patch0:              0001-add-javadoc-plugin.patch
BuildRequires:       maven-local maven java-1.8.0-openjdk-devel
Requires:            java-1.8.0-openjdk
BuildArch:           noarch
%description
Evo Inflector implements English pluralization algorithm
based on Damian Conway's paper "An Algorithmic Approach to
English Pluralization".

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
This package contains javadoc for %{name}.

%prep
%autosetup -p1
find . -name "*.jar" -print -delete
find . -name "*.class" -print -delete

#%%pom_remove_parent
%pom_xpath_inject pom:project "<groupId>org.atteo</groupId>"
%mvn_file :%{name} %{name}

%build
#%%mvn_build -- -Dproject.build.sourceEncoding=UTF-8
mvn package -Dproject.build.sourceEncoding=UTF-8 -DskipTests 

%install
#%%mvn_install
install -d -m 0755 %{buildroot}%{_javadir}
install -d -m 0755 %{buildroot}%{_mavenpomdir}
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
install -pm 0644 target/evo-inflector-%{version}-javadoc.jar %{buildroot}%{_javadocdir}/%{name}
install -pm 0644 target/evo-inflector-%{version}.jar %{buildroot}%{_javadir}/evo-inflector.jar
install -pm 0644 pom.xml %{buildroot}%{_mavenpomdir}/evo-inflector.pom
%add_maven_depmap %{name}.pom %{name}.jar 

%files 
%attr(0644,root,root) %{_datadir}/maven-metadata/evo-inflector.xml
%attr(0644,root,root) %{_javadir}/evo-inflector.jar
%attr(0644,root,root) %{_mavenpomdir}/evo-inflector.pom
%doc README.md
%license LICENSE

%files javadoc
%{_javadocdir}/%{name}
%license LICENSE

%changelog
* Mon Aug 01 2022 liukuo <liukuo@kylinos.cn> - 1.3-2
- License compliance rectification

* Thu Jan 20 2022 SimpleUpdate Robot <tc@openeuler.org> - 1.3-1
- Upgrade to version 1.3

* Mon Jul 27 2020 Anan Fu <fuanan3@huawei.com> - 1.2.1-10
- package init
